<?php 
if (isset($_REQUEST['pass']))   //
{$pass=trim($_REQUEST['pass']);
 $pass=md5($pass,false);
}
else
{$pass="";
}
$ok=false;
list($pas1, $pas2) = explode("/pages/",$_SERVER['REQUEST_URI']); 
list($pas1, $pas2) = explode(".",$pas2); 
$pas1=str_replace('%5E','^',$pas1);			//
if (strpos(getcwd ( ),"contents")>0)  //
{
$fpas=getcwd ( )."/p.txt";
}
else
{
$fpas=getcwd ( )."/".$pas1."/p.txt";
}
if (file_exists($fpas) and $w7!="help")         // 
{$l = file($fpas); 			    // 
foreach ($l as $li => $lin)    // 
{$pass1=$lin;break;}
if ($pass!=$pass1)
{
echo '<br><br>';
echo '<form id=feg  method="POST" enctype="multipart/form-data" action="'.$_SERVER['REQUEST_URI'].'" >';
echo '<center style="width:100%"><b style="color:red">The page you clicked is password protected, enter the password to access.</b><br><br>';
echo '<input type="password" name="pass" size="25" value="">';
echo '<input type="submit" value="submit" name="pas" style="width:80px;background:transparent"> &nbsp;&nbsp;&nbsp;';

 if ($pass!="")
{ echo "<br><br><center><b style='color:red'>ENTER CORRECT PASSWORD!</b></center> ";} 
echo '</form>';
}
else
{$ok=true;
}
}
else
{$ok=true;}



if ($ok)
{
include "time1.php";   // 
//-----------------------------------------------------------------------------------------------------
// 
$l = file(wu($ff,$utf8));   	 // 
foreach ($l as $li => $lin)     //  
{
include "time2.php";

}
}
?>